/* global describe expect jest test */
import { spawn } from 'node:child_process'
import * as fsPath from 'node:path'

jest.setTimeout(750)

describe('bootstrap-cli', () => {
  test("prints 'Hello!' to stdout", (done) => {
    const execPath = fsPath.join('..', 'dist', 'bootstrap-cli.js')
    const child = spawn(execPath)
    child.stdout.resume()
    child.stdout.once('data', (output) => {
      try {
        expect(output.toString().trim()).toBe('Hello!')
      }
      finally {
        done()
      }
    })
  })
})
