const readFileSync = require('node:fs').readFileSync
const join = require('node:path').join

const pkg = JSON.parse(readFileSync(join(process.cwd(), 'package.json')))

const pkglib = {
  packageJson : pkg,
  target      : {
    rollupConfig : (pkg.catalyst && pkg.catalyst.rollupConfig),
    licenseText  : pkg.catalyst && pkg.catalyst.licenseText
  },
  getTag : (tag) => pkg.catalyst && pkg.catalyst.tags && pkg.catalyst.tags[tag],
  hasTag : (tag) => !!(pkg.catalyst && pkg.catalyst.tags && pkg.catalyst.tags[tag])
}

module.exports = pkglib
